Name: alsa-plugins
Version: 1.0.16
Release: alt1

Summary: Advanced Linux Sound Architecture (ALSA) plugins
License: LGPL
Group: System/Libraries

%define srcname alsa-plugins
%define beta %nil
%define _unpackaged_files_terminate_build 1

Url: http://www.alsa-project.org
Source: ftp://ftp.alsa-project.org/pub/lib/%srcname-%version%beta.tar.bz2

Patch0: alsa-plugins-1.0.16-alt-build.patch

#BuildPreReq: kernel-headers-std
BuildPreReq: linux-libc-headers

%add_optflags %optflags_shared

# Automatically added by buildreq on Sun Feb 24 2008 (-bi)
BuildRequires: gcc-c++ jackit-devel libalsa-devel libpulseaudio-devel
BuildRequires: libavcodec-devel libdbus-devel libsamplerate-devel libspeex-devel

BuildRequires: libalsa-devel >= %version
BuildRequires: libpulseaudio >= 0.9.2

Summary(ru_RU.KOI8-R):  ALSA
Summary(uk_UA.KOI8-U): Ǧ ALSA

Packager: Michael Shigorin <mike@altlinux.org>

%description
Advanced Linux Sound Architecture (ALSA) plugins (OSS, Jack and
PulseAudio adaptors).

%description -l ru_RU.KOI8-R
    ALSA ( OSS, Jack  PulseAudio).

%description -l uk_UA.KOI8-U
  ͦ Ǧ ALSA ( OSS, Jack  PulseAudio).

%prep
%setup -q -n %srcname-%version%beta
%patch0 -p1

%build
%autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
rm -rf %buildroot%_libdir/alsa-lib/*.la

%files
%doc doc/*.txt doc/README-*
%_libdir/alsa-lib/*.so

%changelog
* Sun Feb 24 2008 Igor Zubkov <icesik@altlinux.org> 1.0.16-alt1
- NMU:
  + 1.0.15 -> 1.0.16
  + buildreq
  + fix linking

* Sun Oct 21 2007 Igor Zubkov <icesik@altlinux.org> 1.0.15-alt1
- NMU:
  + 1.0.14 -> 1.0.15

* Mon Jun 11 2007 Michael Shigorin <mike@altlinux.org> 1.0.14-alt1
- 1.0.14
- fixed install
- set _unpackaged_files_terminate_build

* Mon Oct 16 2006 Michael Shigorin <mike@altlinux.org> 1.0.13-alt1
- 1.0.13

* Tue Sep 05 2006 Igor Zubkov <icesik@altlinux.ru> 1.0.12-alt2
- NMU
- add PulseAudio support (polypaudio removed)

* Sun Sep 03 2006 Michael Shigorin <mike@altlinux.org> 1.0.12-alt1
- 1.0.12
- changed BuildPreReq: kernel-headers-std to linux-libc-headers
- fixed README-polyp being renamed

* Wed May 31 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt5
- rebuilt against libpolyp-0.9

* Sat Apr 29 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt4
- accepted changes by icesik@
- minor cleanup

* Fri Apr 28 2006 Igor Zubkov <icesik@altlinux.ru> 1.0.11-alt3
- NMU
- real fix #9447
- buildreq
- add packager tag
- add docs

* Thu Apr 27 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt2
- fix #9447 (polypaudio support), thanks icesik@
- remove (unpackaged) *.la

* Wed Apr 19 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt1
- 1.0.11

* Wed Apr 05 2006 Michael Shigorin <mike@altlinux.org> 1.0.11-alt0.4
- 1.0.11rc4
- minor spec cleanup

* Wed Nov 16 2005 Michael Shigorin <mike@altlinux.org> 1.0.10-alt1
- 1.0.10

* Thu Jun 23 2005 Michael Shigorin <mike@altlinux.org> 1.0.9-alt1
- 1.0.9

* Thu Jun 09 2005 Michael Shigorin <mike@altlinux.ru> 1.0.9-alt0
- built for ALT Linux
